test_that("commenter_table works", {
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
    Sys.setenv(port="5432")
    Sys.setenv(server="localhost")
    Sys.setenv(user_test="runner")
    Sys.setenv(pwd_test=Sys.getenv("BDD_RUNNER_PWD"))
    expect_error(commenter_table(table = "test_iris", schema = "public", db  = "test_datalibaba", user = "test"),
                 "L'argument comment n\'est pas renseign\u00e9. ")
    expect_error(commenter_table(comment = "la table de test complete", table = "test_iris", db  = "test_datalibaba", user = "test"),
                 "L\'argument schema n\'est pas renseign\u00e9. ")
    expect_error(commenter_table(comment = "la table de test complete", schema = "public", db  = "test_datalibaba", user = "test"),
                 "L\'argument table n\'est pas renseign\u00e9. ")
    expect_error(commenter_table(comment = "la table de test complete", table = "titi_test", schema = "public", db  = "test_datalibaba", user = "test"),
                 "Il n\'y a pas de table titi_test dans le schema public. ")
    expect_message(commenter_table(comment = "la table de test complete", table = "test_iris", schema = "public", db  = "test_datalibaba", user = "test"),
                   "COMMENT ON TABLE \"public\".\"test_iris\" IS 'la table de test complete")
  }else{
    print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
    print('warning: connect_to_db - local database postgresql doesnt work !')
    expect_equal(1,1)
  }
})
