test_that("set_schema_rights works", {
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
    Sys.setenv(port="5432")
    Sys.setenv(server="localhost")
    Sys.setenv(user_test="runner")
    Sys.setenv(pwd_test=Sys.getenv("BDD_RUNNER_PWD"))

    con<<-connect_to_db(db = 'test_datalibaba', user = 'test')

    expect_error(set_schema_rights(schema = "public", table = "test_iris", db  = NULL, user = NULL, server = Sys.getenv("server")),
                 "con, db et user ne sont pas renseign\u00e9s, merci de fournir les arguments necessaires a la connexion ")
    expect_error(set_schema_rights(schema = "public", table = "test_iris", db  = NULL, user = "test", server = Sys.getenv("server")),
                 "con et db ne sont pas renseign\u00e9s, merci de fournir les arguments necessaires a la connexion ")
    expect_error(set_schema_rights(schema = "public", table = "test_iris", db  = "test_datalibaba", user = NULL, server = Sys.getenv("server")),
                 "con et user ne sont pas renseign\u00e9s, merci de fournir les arguments necessaires a la connexion ")
    expect_error(set_schema_rights(schema = NULL, table = "test_iris", con = con, db  = "test_datalibaba", user = "test", server = Sys.getenv("server")),
                 "schema n'est pas renseign\u00e9. ")

    expect_null(set_schema_rights(schema = "public", table = "test_iris", db  = "test_datalibaba", user = "test", server = Sys.getenv("server")))

  }else{
    print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
    print('warning: connect_to_db - local database postgresql doesnt work !')
    expect_equal(1,1)
  }
})
